Download it now!
Bug 131164 - EDITING: Base Crashes on Tools>User Administration... (Firebird)
Summary: EDITING: Base Crashes on Tools>User Administration... (Firebird)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
6.3.4.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:7.0.0 target:6.4.3 target:6.3.6
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2020-03-05 17:15 UTC by bugposter
Modified: 2020-03-08 09:07 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Split database (13.00 KB, image/jpeg)
2020-03-05 19:17 UTC, bugposter
Details
Firebird data base file (1.41 MB, application/octet-stream)
2020-03-06 08:34 UTC, bugposter
Details
bt Windows (windbg) (37.14 KB, text/plain)
2020-03-06 10:11 UTC, Julien Nabet
Details
User Administration, driver does not support ... screendump (42.77 KB, image/jpeg)
2020-03-07 14:31 UTC, bugposter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bugposter 2020-03-05 17:15:18 UTC
Description:
With any split database (Firebird) LO Base crashes when selecting Tools>User Administration...

Steps to Reproduce:
1.Make or open a split Firebird database
2.Select Tools>User Administration...
3.

Actual Results:
A total LO crash, recovery also crashes

Expected Results:
Give a chance to administrate user (rights)


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
I tried with several files and different version 6.3.4.2 & 6.4.1.2, same result. Several crash reports yielding different Signatures: connectivity::firebird::Catalog::refreshUsers() / cppu3.dll / firebird_sdbclo.dll / cppuhelper3MSC.dll. Although all with the same reason:  	EXCEPTION_ACCESS_VIOLATION_WRITE
Comment 1 Xisco Faulí 2020-03-05 17:41:25 UTC
The option is greyed out for me with a brand new database.
Comment 2 Xisco Faulí 2020-03-05 17:42:08 UTC
Please attach a sample document, as this makes it easier for us to verify the bug. 
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)
Comment 3 bugposter 2020-03-05 19:17:52 UTC
Created attachment 158423 [details]
Split database
Comment 4 bugposter 2020-03-05 19:24:19 UTC
Thank you for looking at the bug. The option is grayed out for with a brand new EMBEDDED database. The crash occurs with a split database. That way the odb-file will link to the fdb-file.
Steps taken:
1. Select Database: 'Connect to an existing database' Firebird File
2. Connection settings: [Create New] and save the new database e.g. "NEW.FDB"
Next appears 'file:///D:/NEW.FDB' Unfortunately this will give an error in OS Windows(10). Change URL in 'file://D:/NEW.FDB'
3. Save and proceed: [Finish] Now save the ODF Database (linking to Firebird) e.g. 'NEW.ODB' [Save]
Being done go to Tools>User Administration...
And LO crashes

Note: In version 6.4.1.2 Document recovery DOES work
Comment 5 Julien Nabet 2020-03-05 20:20:38 UTC
Would it be possible you attach the fdb file?
Of course, remove anything confidential/private from it.
Comment 6 bugposter 2020-03-06 08:34:57 UTC
Created attachment 158435 [details]
Firebird data base file
Comment 7 Julien Nabet 2020-03-06 09:30:05 UTC
Thank you for your feedback.
On Win10 with LO 6.4.1, I could reproduce this.
Comment 8 Julien Nabet 2020-03-06 10:11:08 UTC
Created attachment 158437 [details]
bt Windows (windbg)

Here's the bt retrieved on Win10
Comment 9 Julien Nabet 2020-03-06 10:43:30 UTC
I'll give it a try.
Comment 10 Commit Notification 2020-03-06 20:04:18 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/dada19a89cbdc5f089fe1200275a1688a1ff1967

tdf#131164: Fix crash on Tools>User Administration (Firebird)

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Julien Nabet 2020-03-06 20:07:08 UTC
backport for 6.4 waiting for review here:
https://gerrit.libreoffice.org/c/core/+/90123
Comment 12 bugposter 2020-03-07 12:03:06 UTC
Thank you for solving the bug. I'm anxious to test the backstop fix, but I can't figure out how to do it (or find any catalog.cxx file to edit) Could someone please explain how to execute the backstop (I only succeed to be redirected to yet another page)
Comment 13 Julien Nabet 2020-03-07 12:34:42 UTC
(In reply to bugposter from comment #12)
> Thank you for solving the bug. I'm anxious to test the backstop fix, but I
> can't figure out how to do it (or find any catalog.cxx file to edit) Could
> someone please explain how to execute the backstop (I only succeed to be
> redirected to yet another page)

For the moment the fix is only on master sources (future 7.0.0 version).
You can give it a try to this experimental daily build by using packages from https://dev-builds.libreoffice.org/daily/master/Win-x86_64@tb77-TDF-nomerge/current/
Comment 14 bugposter 2020-03-07 14:24:00 UTC
Thank you for your answer, did as requested. Feedback: LO7.0.0.0.alpha0+ (x64) does not crash but gives an error (4x): SQL Status: HYC00; The driver does not support the functionality for ‘XAuthorizable:changePassword’. It is not implemented. With and without JRE, don't know if it's still necessary.
Comment 15 bugposter 2020-03-07 14:31:16 UTC
Created attachment 158468 [details]
User Administration, driver does not support ... screendump
Comment 16 Commit Notification 2020-03-07 14:45:25 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/ee5a599516e4c9480b5dbd0a471baa237c74b53d

tdf#131164: Fix crash on Tools>User Administration (Firebird)

It will be available in 6.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2020-03-07 14:45:35 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/0b0d1b55cbc463e469353df24cdc37e6cfd0724b

tdf#131164: Fix crash on Tools>User Administration (Firebird)

It will be available in 6.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Julien Nabet 2020-03-07 21:24:49 UTC
(In reply to bugposter from comment #14)
> Thank you for your answer, did as requested. Feedback: LO7.0.0.0.alpha0+
> (x64) does not crash but gives an error (4x): SQL Status: HYC00; The driver
> does not support the functionality for ‘XAuthorizable:changePassword’. It is
> not implemented. With and without JRE, don't know if it's still necessary.

You can submit another bugtracker if it doesn't exist already but that's another problem.

You must know that Firebird support has been put back at experimental from 7.0.
see 
- for rationale:
http://document-foundation-mail-archive.969070.n3.nabble.com/About-putting-Firebird-creation-option-experimental-tt4274028.html#a4274115 

- the patch on master sources:
https://cgit.freedesktop.org/libreoffice/core/commit/?id=dc3c6e64650f0347648598dae0fa67c296ad36f5

I'd like to do it also on 6.4 but my patch needs some approval (see https://gerrit.libreoffice.org/c/core/+/89132)
Comment 19 Julien Nabet 2020-03-07 22:11:56 UTC
(In reply to Julien Nabet from comment #18)
> > ...
> You can submit another bugtracker if it doesn't exist already but that's
> another problem.
> ...
Bugtracker created here: https://bugs.documentfoundation.org/show_bug.cgi?id=131212